#ifndef UI
#define UI
#include <pthread.h>
#include "read_file.h"

typedef struct {
    char *name;
    FILE *file;
    char is_recording;
    pthread_t pid;
    args_readfile *args_rf;
    /* Number of repetition */
    int nb_loop;
    /* Sleep in s between each repetition */
    int sleep_loop;
} ui_infos;

ui_infos * init_ui(const char *name);
void free_ui(ui_infos *ptr);
int draw_ui(ui_infos *ptr);

#endif
